# Visualization
TKV2d
Graphic2d

# Graphic2d_HSequenceOfVertex Class Reference

`#include <Graphic2d_HSequenceOfVertex.hxx>`

## Public Member Functions

| Graphic2d_HSequenceOfVertex ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Graphic2d_Vertex &anItem)
Standard_EXPORT void | Append (const Handle(Graphic2d_HSequenceOfVertex)&aSequence)
Standard_EXPORT void | Prepend (const Graphic2d_Vertex &anItem)
Standard_EXPORT void | Prepend (const Handle(Graphic2d_HSequenceOfVertex)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Graphic2d_Vertex &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Graphic2d_HSequenceOfVertex)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Graphic2d_Vertex &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Graphic2d_HSequenceOfVertex)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Graphic2d_HSequenceOfVertex | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Graphic2d_Vertex &anItem)
Standard_EXPORT const Graphic2d_Vertex & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Graphic2d_Vertex & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Graphic2d_SequenceOfVertex & | Sequence () const
Graphic2d_SequenceOfVertex & | ChangeSequence ()
Standard_EXPORT Handle_Graphic2d_HSequenceOfVertex | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Graphic2d_SequenceOfVertex | mySequence

## Constructor & Destructor Documentation

Graphic2d_HSequenceOfVertex::Graphic2d_HSequenceOfVertex | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Append | ( | const Handle(Graphic2d_HSequenceOfVertex)& | aSequence | ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Append | ( | const Graphic2d_Vertex & | anItem | ) |

Graphic2d_SequenceOfVertex& Graphic2d_HSequenceOfVertex::ChangeSequence | ( |  | ) |

Standard_EXPORT Graphic2d_Vertex& Graphic2d_HSequenceOfVertex::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Clear | ( |  | ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Graphic2d_HSequenceOfVertex::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Graphic2d_HSequenceOfVertex::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic2d_HSequenceOfVertex)& | aSequence
| ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Graphic2d_Vertex & | anItem
| ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Graphic2d_HSequenceOfVertex)& | aSequence
| ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Graphic2d_Vertex & | anItem
| ) |

Standard_Boolean Graphic2d_HSequenceOfVertex::IsEmpty | ( |  | ) | const

Standard_Integer Graphic2d_HSequenceOfVertex::Length | ( |  | ) | const

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Prepend | ( | const Handle(Graphic2d_HSequenceOfVertex)& | aSequence | ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Prepend | ( | const Graphic2d_Vertex & | anItem | ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Graphic2d_HSequenceOfVertex::Reverse | ( |  | ) |

const Graphic2d_SequenceOfVertex& Graphic2d_HSequenceOfVertex::Sequence | ( |  | ) | const

Standard_EXPORT void Graphic2d_HSequenceOfVertex::SetValue | ( | const Standard_Integer | anIndex,
|  | const Graphic2d_Vertex & | anItem
| ) |

Standard_EXPORT Handle_Graphic2d_HSequenceOfVertex Graphic2d_HSequenceOfVertex::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Graphic2d_HSequenceOfVertex Graphic2d_HSequenceOfVertex::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Graphic2d_Vertex& Graphic2d_HSequenceOfVertex::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Graphic2d_SequenceOfVertex Graphic2d_HSequenceOfVertex::mySequence `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_HSequenceOfVertex.hxx